Package org.apache.sling.event.impl.jobs.notifications

# Class NewJobSender

java.lang.Object
org.apache.sling.event.impl.jobs.notifications.NewJobSender

All Implemented Interfaces:
  `org.apache.sling.api.resource.observation.ExternalResourceChangeListener`, `org.apache.sling.api.resource.observation.ResourceChangeListener`

public class NewJobSender extends Object implements org.apache.sling.api.resource.observation.ResourceChangeListener, org.apache.sling.api.resource.observation.ExternalResourceChangeListener
This component receives resource added events and sends a job created event.

## Field Summary

### Fields inherited from interface org.apache.sling.api.resource.observation.ResourceChangeListener

`CHANGE_ADDED, CHANGE_CHANGED, CHANGE_PROVIDER_ADDED, CHANGE_PROVIDER_REMOVED, CHANGE_REMOVED, CHANGES, PATHS, PROPERTY_NAMES_HINT`

## Constructor Summary

Constructors
Constructor
Description
`NewJobSender()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate(org.osgi.framework.BundleContext bundleContext)`
Activate this component.
`protected void`
`deactivate()`
Deactivate this component.
`void`
`onChange(List<org.apache.sling.api.resource.observation.ResourceChange> resourceChanges)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NewJobSender

public NewJobSender()

## Method Details

### activate

protected void activate(org.osgi.framework.BundleContext bundleContext)
Activate this component. Register an event handler.

### deactivate

protected void deactivate()
Deactivate this component. Unregister the event handler.

### onChange

public void onChange(List<org.apache.sling.api.resource.observation.ResourceChange> resourceChanges)

Specified by:
  `onChange` in interface `org.apache.sling.api.resource.observation.ResourceChangeListener`